.TH TEXIFY 1 "January 2003" 
.PP 
.SH "NAME" 
texify \- format code for use with LaTeX
.PP 
.SH "SYNOPSIS" 
.PP 
\fBtexify<input\-type>\fP [OPTION]...
.PP 
.SH "DESCRIPTION" 
.PP 
\fBtexify\fP translates source code written in any of several different 
languages to \fBlatex\fP(1) source files.  The purpose is to make source code 
embedded in documents more readable, by providing syntax highliting.
.PP
.SH "OPTIONS"
.TP
\fB\-i\fR \fIFILE\fR
Read from \fIFILE\fR instead of standard input.
.TP
\fB\-o\fR \fIFILE\fR
Write to \fIFILE\fR instead of standard output.
.TP
\fB\-l\fR \fILENGTH\fR
Limit line length to \fILENGTH\fR.
.TP
\fB\-t\fR \fILENGTH\fR
Make a tab correspond to \fILENGTH\fR spaces. Default is 6.
.TP
\fB\-num INTERVAL\fR
Prefix output lines with the corresponding line number from the input, skipping
INTERVAL lines between each time a prefix is added.  An interval of 1 will
ensure that every line is prefixed.
.TP
\fB\-numsize \\texsize\fR
Replace the TeX code used to set the size of the line numbers.  The default is
\\footnotesize.
.PP
.SH "INPUT TYPES" 
.PP 
.TP 
.B abel 
ABEL source code
.TP 
.B ada 
Ada source code
.TP 
.B asm 
Assembly code
.TP 
.B axiom 
AXIOM code
.TP
.B B 
B source code
.TP 
.B beta 
BETA source code
.TP 
.B bison
Bison source code
.TP
.B c
C source code
.TP 
.B c++
C++ source code
.TP 
.B idl
OMG/CORBA IDL source code
.TP
.B java 
Java source code
.TP 
.B lex 
Lex source code
.TP 
.B lisp 
LISP source code
.TP 
.B logla 
LOGLA source code
.TP 
.B matlab 
MATLAB script
.TP 
.B ml 
ML source code
.TP 
.B perl 
Perl source code
.TP 
.B promela
Promela source code
.TP
.B python 
Python source code
.TP 
.B scheme 
Scheme soruce code
.TP 
.B sim 
SIMULA source code
.TP 
.B sql
SQL queries
.TP
.B ruby
Ruby source code
.TP
.B vhdl 
VHDL description
.PP 
This manual page was written for the Debian operating system because the 
original program does not have a manual page.
.PP  
.SH "EXAMPLES" 
.TP
Say you want to format a Java source file.  Just type:
.B texifyjava < input.java > output.tex
.TP
You can also format the output of some program without storing its output in a temporary file.  If you want to format the output of a PostgreSQL database dump, just type:
.B pg_dump foobar | texifysql > output.tex
.SH "AUTHOR"  
.PP  
This manual page was written by Morten Hustveit <morten@debian.org>.
